# test empty list
b
f
^
$
# test insertion into empty list
iX
# test forward/backward on list of one element
b
f
f
b
b
^
$
# test insertion at end of non-empty list
iY
f
iZ
# test forward/backward 
f
b
b
b
b
f
f
f
^
$
# test insertion into beginning of non-empty list
^
iW
iQ
# test insertion into middle of list
f
iA
iB
q
